#
# spec file for package python3-hunspell
#
# Copyright (c) 2015 Marcin Bajor (marcin.bajor@gmail.com)
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-hunspell
Version:        0.3.3
Release:        2.1.art
Summary:        Python binding for hunspell
License:        LGPLv3
Group:          Development/Languages
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  gcc
BuildRequires:  hunspell-devel
BuildRequires:  hunspell
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Python binding for hunspell

%prep

%setup -q

export VAL=$(pkg-config --libs hunspell | sed 's/-l//g' | sed 's/ //g')
eval "sed  's/\['\''hunspell'\''\]/\['\''$VAL'\''\]/' setup.py >setup.tmp"
cat setup.tmp>setup.py

%install

export CFLAGS="$RPM_OPT_FLAGS"
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}



%files
%defattr(-,root,root)
%{python3_sitearch}/*
%changelog
* Sat Sep 26 2015 marcin.bajor@gmail.com
- Initial release
